Name:		folding
Version:	1.3.1
Release:	2%{?dist}
Summary:	Instantaneous performance metrics from extrae traces
License:	LGPLv2+
URL:		https://tools.bsc.es/folding
Source0:	https://ftp.tools.bsc.es/folding/folding-%version-src.tar.bz2
Patch1:		folding-inst.patch
Patch2:		folding-cube.patch
BuildRequires:	libxml2-devel boost%{?el6:148}-devel automake cube-devel
BuildRequires:	qt4-devel
BuildRequires:	libbsctools-devel wxPython-devel clang-devel R-devel libtool
%if 0%{?el6}
BuildRequires:	devtoolset-6-gcc-c++ devtoolset-6-gcc-gfortran
%else
BuildRequires:	gcc-gfortran gcc-c++
%endif

%description
Combined instrumentation and sampling for instantaneous metric
evolution with low overhead from extrae traces.

%prep
%setup -q
%patch1 -p1 -b .inst
%patch2 -p1 -b .cube
autoreconf -fiv


%build
%{?el6:. /opt/rh/devtoolset-6/enable}
%configure --prefix=%_libdir/folding --libdir=%_libdir/folding/lib \
           --includedir=%_libdir/folding/include \
           --with-R=/usr --with-clustering-suite \
	   --enable-gui --with-cube=/usr --disable-static \
	   %{?el6:LDFLAGS="$LDFLAGS -L%_libdir/boost148"} \
	   CPPFLAGS="$CPPFLAGS -I%_includedir/paraver/utils/pcfparser -I%_includedir/paraver/utils/pcfparser/old %{?el6:-I%_includedir/boost148}"
%make_build V=1 LIBBSCTOOLS_LIB_DIR=%_libdir


%install
mkdir -p %buildroot%_libdir/folding/{bin,etc,share,lib,include}
mkdir -p %buildroot%_bindir
%make_install V=1
find %buildroot%_libdir/folding/lib -name \*.la -delete
ln -s %_libdir/folding/bin/folding %buildroot%_bindir
rm -r %buildroot%_docdir/*


%files
%doc doc/user-guide.pdf doc/user-guide/*.html doc/user-guide/*.css
%doc ChangeLog COPYING examples
%_bindir/*
%_libdir/folding


%changelog
* Thu Apr 26 2018 Dave Love <loveshack@fedoraproject.org> - 1.3.1-1
- Initial packaging
